task PoN {

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sample

	File ref_dir
	String fasta
	File cosmic_dir
	String cosmic_vcf
	File dbsnp_dir
	String dbsnp
	File regions

	File normal_bam
	File normal_bam_index
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=${SENTIEON_LICENSE}
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp/cosmic/
		cp ${cosmic_dir}/${cosmic_vcf} /cromwell_root/tmp/cosmic/
		${SENTIEON_INSTALL_DIR}/bin/sentieon util vcfindex /cromwell_root/tmp/cosmic/${cosmic_vcf}

		# Generating TNhaplotyper PON
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt --interval ${regions} -r ${ref_dir}/${fasta} -i ${normal_bam} --algo TNhaplotyper --detect_pon --cosmic /cromwell_root/tmp/cosmic/${cosmic_vcf} --dbsnp ${dbsnp_dir}/${dbsnp} ${sample}_TNhaplotyper_pon.vcf

		# Generating TNhaplotyper2 PON
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt --interval ${regions} -r ${ref_dir}/${fasta} -i ${normal_bam} --algo TNhaplotyper2 --normal_sample ${sample} ${sample}_TNhaplotyper2_pon.vcf

		# Generating TNscope PON
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt --interval ${regions} -r ${ref_dir}/${fasta} -i ${normal_bam} --algo TNscope --normal_sample ${sample} ${sample}_TNscope_pon.vcf
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"	
	}

	output {
		File TNhaplotyper_pon_vcf = "${sample}_TNhaplotyper_pon.vcf"
		File TNhaplotyper2_pon_vcf = "${sample}_TNhaplotyper2_pon.vcf"
		File TNscope_pon_vcf = "${sample}_TNscope_pon.vcf"
	}
}