import "./tasks/PoN.wdl" as PoN
import "./tasks/mergePoN.wdl" as mergePoN
	
workflow {{ project_name }} {
	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String panel_id

	File ref_dir
	String fasta
	File cosmic_dir
	String cosmic_vcf
	File dbsnp_dir
	String dbsnp
	File regions

	Array[Array[File]] normal_recaled_bam_bai
	String sentieon_docker
	String cluster_config
	String disk_size
	
	scatter (item in normal_recaled_bam_bai){
		call PoN.PoN as PoN {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		fasta=fasta,
		ref_dir=ref_dir,
		regions=regions,
		sample=item[0],
		normal_bam=item[1],
		normal_bam_index=item[2],
		cosmic_vcf=cosmic_vcf,
		cosmic_dir=cosmic_dir,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		docker=sentieon_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
		}
	}

	Array[File] TNhaplotyper_pon_vcfs = PON.TNhaplotyper_pon_vcf
	Array[File] TNhaplotyper2_pon_vcfs = PON.TNhaplotyper2_pon_vcf
	Array[File] TNscope_pon_vcfs = PON.TNscope_pon_vcf

	call mergePoN.mergePoN as mergePoN_TNhaplotyper {
		input:
		pon_vcfs=TNhaplotyper_pon_vcfs,
		panel_id=panel_id,
		docker=bcftools_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call mergePoN.mergePoN as mergePoN_TNhaplotyper2 {
		input:
		pon_vcfs=TNhaplotyper2_pon_vcfs,
		panel_id=panel_id,
		docker=bcftools_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call mergePoN.mergePoN as mergePoN_TNscope {
		input:
		pon_vcfs=TNscope_pon_vcfs,
		panel_id=panel_id,
		docker=bcftools_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}